function DisplayWaveletAtoms()
close all;
n=64;
button=1;
cas = 1; %1 -> haar, 2 -> 9/7 (daubechies)

Jmin = 0;
options.ti = 0;

I = 255*zeros(n,n);
I(1,1)=.5;
subplot(1,2,1);
plot_wavelet(I,Jmin)
subplot(1,2,2);
imshow(zeros(n,n));
grid on;
while(button==1)
    
    [y,x,button] = ginput(1);
    if (button~=1)
        break;
    end
    x = min(n,max(1,round(x)));
    y = min(n,max(1,round(y)));
    disp(['x = ' num2str(x) '   y = ' num2str(y)]);
    I = 255*zeros(n,n);
    I(x,y) = 1;
    subplot(1,2,1);
    plot_wavelet(I,Jmin)
    grid on;
    if (cas==1)
        MW = transfo_inverse_haar_2D(I);
    else
        MW = perform_wavelet_transf(I,Jmin,-1,options);
    end
    subplot(1,2,2);
        if (I(1,1)==0)
            imshow(MW,[])
        else
            imshow(MW)
        end
end
close;
end