function demo_inverse_wavelet()
close all;
n = 32; % taille de l'image (32 ou 128)

f = double(imread(['hibiscus' num2str(n) '.png']))/255;
a = transfo_haar_2D(f);

subplot(2,2,1)
imshow(f,[])
subplot(2,2,2)
plot_wavelet(a)

I = zeros(n,n);
subplot(2,2,3);
plot_wavelet(I)
subplot(2,2,4);
imshow(zeros(n,n));
grid on;
pause;
for k=1:2*n
    for x=1:k
        y = k-x+1;
        if (x<1 || x>n || y<0 || y>n)
            continue;
        end
        I(x,y) = a(x,y);
        if (k<10)
            subplot(2,2,3);
            plot_wavelet(I)
            grid on;
            MW = transfo_inverse_haar_2D(I);
            subplot(2,2,4);
            imshow(MW)
            drawnow;
        end
    end
    if (k>=10)
        subplot(2,2,3);
        plot_wavelet(I)
        grid on;
        MW = transfo_inverse_haar_2D(I);
        subplot(2,2,4);
        imshow(MW)
        drawnow;
    end
    
end
end