function MW = transfo_haar_2D(M)
n = length(M);
MW = M;
for j = log2(n):-1:1
    A = MW(1:2^j,1:2^j);
    Coarse = ( A(1:2:end,:) + A(2:2:end,:) )/sqrt(2);
    Detail = ( A(1:2:end,:) - A(2:2:end,:) )/sqrt(2);
    A = [Coarse ;Detail];
    Coarse = ( A(:,1:2:end) + A(:,2:2:end) )/sqrt(2);
    Detail = ( A(:,1:2:end) - A(:,2:2:end) )/sqrt(2);
    MW(1:2^j,1:2^j) = [Coarse  Detail];
end