function M = transfo_inverse_haar_2D(MW)
n = length(MW);
M = MW;
for j = 1:log2(n)
    A = M(1:2^j,1:2^j);
    Coarse = A(1:2^(j-1),:);
    Detail = A(2^(j-1)+1:2^j,:);
    A(1:2:end,:) = ( Coarse + Detail )/sqrt(2);
    A(2:2:end,:) = ( Coarse - Detail )/sqrt(2);
    Coarse = A(:,1:2^(j-1));
    Detail = A(:,2^(j-1)+1:2^j);
    A(:,1:2:end) = ( Coarse + Detail )/sqrt(2);
    A(:,2:2:end) = ( Coarse - Detail )/sqrt(2);
    M(1:2^j,1:2^j) = A;
end